## Apache Zeta Components Manual :: Docs For Class ezcMailImapSet

### Mail::ezcMailImapSet

### Class ezcMailImapSet

ezcMailImapSet is an internal class that fetches a series of mail from the IMAP server.

The IMAP set works on an existing connection and a list of the messages that the user wants to fetch. The user must accept all the data for each mail for correct behaviour.

Source for this file: /Mail/src/transports/imap/imap_set.php

### Implements interfaces:

- ezcMailParserSet

Version: | //autogen//

### Method Summary

public ezcMailImapSet | `__construct( $connection , $messages , [ $deleteFromServer = false] , [ $options = array()] )` Constructs a new IMAP parser set that will fetch the messages $messages.
public array(int) | `getMessageNumbers( )` Returns message numbers from the current set.
public string | `getNextLine( )` Returns one line of data from the current mail in the set.
public bool | `hasData( )` Returns whether the set has mails.
public bool | `isFinished( )` Returns true if all the data has been fetched from this set.
public bool | `nextMail( )` Moves the set to the next mail and returns true upon success.

### Methods

#### __construct

ezcMailImapSet __construct( $connection , $messages , [bool $deleteFromServer = false] , [ezcMailImapSetOptions|array(string=>mixed) $options = array()] )

Constructs a new IMAP parser set that will fetch the messages $messages.

$connection must hold a valid connection to a IMAP server that is ready to retrieve the messages.

If $deleteFromServer is set to true the messages will be deleted after retrieval.

See ezcMailImapSetOptions for options you can set to IMAP sets.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$connection` | ezcMailTransportConnection |
`$messages` | array(int) |
`$deleteFromServer` | bool |
`$options` | ezcMailImapSetOptions|array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcMailTransportException` | if the server sent a negative response

#### getMessageNumbers

array(int) getMessageNumbers( )

Returns message numbers from the current set.

#### getNextLine

string getNextLine( )

Returns one line of data from the current mail in the set.

Null is returned if there is no current mail in the set or the end of the mail is reached,

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::getNextLine()` | Returns one line of data from the current mail in the set including the ending linebreak.

#### hasData

bool hasData( )

Returns whether the set has mails.

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::hasData()` | Returns true if mail data is available for parsing.

#### isFinished

bool isFinished( )

Returns true if all the data has been fetched from this set.

#### nextMail

bool nextMail( )

Moves the set to the next mail and returns true upon success.

False is returned if there are no more mail in the set.

##### Exceptions:

Type | Description
--- | ---
`ezcMailTransportException` | if the server sent a negative response

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::nextMail()` | Moves the set to the next mail and returns true upon success.

Documentation generated by phpDocumentor 1.4.3